Skip to content

Returns a list of transactions for an account for a consent.

Request

Returns a list of transactions for an account for a consent.

Security
Bearer(Required scopes: api:stored_data)
Path
consentIdstringrequired

Unique reference for the consent

accountIdstringrequired

Unique identifier for the account at the institution

Query
searchTermstring

Term to search in all searchable transaction fields [Description, TransactionCategory.Category, TransactionClassification.Classification, CounterPartyName].

sortFieldstring(DirectID.Insights.Service.Models.SortField)

Sort by field

Enum:"Description""Amount""Category""Classification""Date"
sortDescboolean

Sorting direction "true" is descending, "false" is ascending. Default is "true".

indicatorstring(DirectID.Insights.Service.Models.BankData.CreditDebitIndicator)

Filter by transaction CreditDebitIndicator.

Enum:"Credit""Debit"
categoryArray of strings

Filter by category.

classificationArray of strings

Filter by classification.

fromstring, (date-time)

Filter from date (Recommended format: yyyy-MM-dd)

tostring, (date-time)

Filter to date (Recommended format: yyyy-MM-dd)

offsetinteger, (int32), [ 0 .. 2147483647 ]

Pagination offset.

limitinteger, (int32), [ 0 .. 2147483647 ]

Pagination limit. Default value is 25.

curl -i -X GET \
  'https://uk.api.atto.co/stored-data/v1/consents/{consentId}/accounts/{accountId}/transactions?searchTerm=string&sortField=Description&sortDesc=true&indicator=Credit&category=string&classification=string&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z&offset=0&limit=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Paged response of transactions

Bodyapplication/json
dataArray of objects or null(DirectID.Insights.Service.Models.BankData.Transaction)

Primary data of the response.

metaobject(DirectID.Insights.Service.Models.Paging.Meta)
Response
{ "data": [ { … }, { … }, { … } ], "meta": { "totalRecords": 3 } }